Subiject: Install Tool > All Configuration: "Write Configuration” Submit button
Description

This was asked for in the core tracker: #38701.

The install tool has the "All configuration” section which lists all settings from $TYPO3_CONF. At the very bottom there is the button to
submit the changes:

install-all-config-write-button.png

Now we have an accordion to expand each section, but if you open up i.e. the 'BE' section you still get multiple pages of options. The
"Write configuration" button is place at the very end of this huge form:

install-all-config-scrolled-down.png

The left-hand menu is now "fixed" as you can see, so it doesn't scroll down but stays while the rest scrolls.

What we now need for is a solution on where to place the "Write configuration" button so that it is always seem despite the current
scrolling position.

Alternatives that popped up:

1) putting it redundantly below the left-menu which doesn't scroll:

install-all-config-write-below-left-menu.png

This doesn't really appeal me.

2) Use the "docheader" when in Backend Mode. Would be "consistent" with the rest of the Backend, but on the other hand unexpected
for the users that already know the Install Tool ("where can | save??"). The docheader for the "save" button is already known to be

confusing enough.

3) Make the "Write configuration" button stick to the lower border of the window ("bottom:0") as soon as the user scrolls down, using
some kind of background so that it stands out. Kind of like the "docheader" but at the footer. :)

Any suggestions from the UX team?

Thanks!

Related issues:
related to Core - Task # 38701: Make Install Tool section "All Configuration”... Resolved 2012-07-06

History

#1 - 2013-09-18 10:42 - Jens Hoffmann
- Status changed from New to Accepted

- Priority changed from Should have to Must have

Thanks for your good Input!

I would go for Nr. 1 and
sticky would be the best.

Maybe the wording needs some finishing :)

Greez Jens

#2 - 2013-09-19 11:19 - Ernesto Baschny

- File install-tool-save-at-bottom.png added

My preference is some kind of the 3). Here is a suggestion:

install-tool-save-at-bottom.png

The "Write configuration" button is always on the bottom and doesn't scroll (bottom:0), but visually separated. For the "standalone" install tool the

background needs to be a lighter gray.

What do you think?

Note that on this draft | also changed the colors and styling of the configuration setting items: no more green boxes with checkboxes but instead dark

headers like in the tables we have in the BE and zebra-styled rows (like in other tables...). Note that the arrows on the headers are wrong still (need to

be white). That would deserve it's own issue of course, but maybe it fits already, then you could simply give a +1 on that too. ;)

#3 - 2013-09-19 14:18 - Jens Hoffmann

Thanks Ernesto. :)

| think this is a even better solution.

But we need to find something reusable.

It's a TYPOS untypical solution and | would
like to find something, we already have.

The basic concept is good, the design needs
some streamlining with the rest of the BE.
The details of the concept are to different.

| will think about it and reply later on.

Greez Jens

#4 - 2013-09-19 14:21 - Ernesto Baschny

The Install Tool is already optically "a bit different" because
a) the fixed width content

b) the hanging left-menu

c) there is a "standalone" install tool which also has dark background etc

So why not keep some things in the Install Tool a bit different to make it clear that this is a "special module"?

#5 - 2013-09-19 14:25 - Jens Hoffmann

By the way .. the alternating BG and Accordion are helpful, too. :)

#6 - 2013-09-19 14:38 - Ernesto Baschny

With "helpful" you mean "look good"? :)

#7 - 2013-09-19 14:46 - Jens Hoffmann

I think it looks good, but needs some sweet "arty" finishing :)

#8 - 2013-09-30 22:57 - Ernesto Baschny

Jens, we'll continue with this "new styling" for now, so that we at least have some usability improvement. Also the alternating background image.

Once we have this merged (#38701, https://review.typo3.org/#/c/24187/) we can then continue improving upon it, ok?

It's also easier to show you how it works in action instead of in screenshots.

#9 - 2014-12-07 10:57 - Felix Kopp

Main feature "Toggle" included.

Further improvements within Bootstrap integration

#10 - 2014-12-07 10:57 - Felix Kopp

- Status changed from Accepted to Resolved
